Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_parser_register_factory

## Name

librdf_parser_register_factory -- Register a parser factory

## Synopsis

``void `librdf_parser_register_factory`` (librdf_world * `world`, const char * `name`, const char * `mime_type`, const unsigned char * `uri_string`, void (*`factory`) (librdf_parser_factory*));`

## Arguments

`world`

  redland world object

`name`

  the name of the parser

`mime_type`

  MIME type of the syntax (optional)

`uri_string`

  URI of the syntax (optional)

`factory`

  function to be called to register the factor parameters

<<< Previous | Home | Next >>>
RDF Parsers | Up | librdf_get_parser_factory